Package org.jfree.layouting.layouter.style.resolver

## Interface StyleRuleMatcher

- All Known Implementing Classes:
    `SimpleStyleRuleMatcher`

      public interface StyleRuleMatcher

  A (possibly statefull) style matcher. This class is responsible for checking which style rule applies to the given document. It is guaranteed, that the matcher receives the elements in the order in which they appear in the document. Although the style rule matcher does not receive explicit element-opened and element-closed events, these events can be derived from the layout element and its relation to the parent (and possibly previously received element and its parent).
  Author:
    Thomas Morgner

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `StyleRuleMatcher` | `deriveInstance​()` | Creates an independent copy of this style rule matcher.
    `CSSStyleRule[]` | `getMatchingRules​(LayoutElement element)` |
    `CSSPageRule[]` | `getPageRule​(CSSValue pageName, PseudoPage[] pseudoPages)` |
    `void` | `initialize​(LayoutProcess layoutProcess)` |
    `boolean` | `isMatchingPseudoElement​(LayoutElement element, java.lang.String pseudo)` |

- - ### Method Detail

    - #### initialize

          void initialize​(LayoutProcess layoutProcess)

    - #### deriveInstance

          StyleRuleMatcher deriveInstance​()

      Creates an independent copy of this style rule matcher.
      Returns:

    - #### getMatchingRules

          CSSStyleRule[] getMatchingRules​(LayoutElement element)

    - #### isMatchingPseudoElement

          boolean isMatchingPseudoElement​(LayoutElement element,
                                          java.lang.String pseudo)

    - #### getPageRule

          CSSPageRule[] getPageRule​(CSSValue pageName,
                                    PseudoPage[] pseudoPages)